Page MenuHomePhabricator

Meme button in Phabricator text area bar doesn't work
Closed, ResolvedPublic

Description

There's a very stoic-looking face in the toolbar above any description or comment text area in Phabricator. It's labeled "Meme" and when I click this button, I receive an error message:

Access Denied: Application Restricted Application
You do not have permission to view this object.
Users with the "Can View" capability:
Administrators can take this action.

This software interaction seems pretty user-hostile. If the meme functionality is disabled/unavailable, we should either hide or disable the button in the toolbar. We should not offer a useless button and throw a scary warning message.

Event Timeline

MZMcBride raised the priority of this task from to Needs Triage.
MZMcBride updated the task description. (Show Details)
MZMcBride added a project: Phabricator.
MZMcBride changed Security from none to None.
MZMcBride added a subscriber: MZMcBride.
Qgil renamed this task from Meme button in Phabricator text area bar doesn't work to Enable memes (Macro).Oct 26 2014, 6:33 AM
Qgil triaged this task as Low priority.
Qgil added a subscriber: Qgil.Oct 26 2014, 6:35 AM

The solution requires to decide whether we want to enable Macro so users can post memes, or not.

You can play with this feature in phab-01:

https://phab-01.wmflabs.org/macro/

https://phab-01.wmflabs.org/T29

MZMcBride renamed this task from Enable memes (Macro) to Meme button in Phabricator text area bar doesn't work.Oct 26 2014, 1:47 PM

If memes aren't enabled, why do I see a memes button in the toolbar? That seems like the bug here.

I don't really want to make this task about enabling memes as I don't know what that means or why anyone would ever want/need such a feature in an issue tracker.

For the records, https://secure.phabricator.com/applications/view/PhabricatorMacroApplication/ currently says that it's installed and its settings are

  • Can Use Application: Public
  • Can Configure Application: Administrators
  • Can Manage Macros: Administrators
Dzahn added a subscriber: Dzahn.Oct 29 2014, 12:18 AM

how about an admin just enables it for a day or something so we can see what it would do. then we'd know better if we like to have it or not

Qgil added a comment.Oct 29 2014, 8:48 AM

People can just do that in https://phab-01.wmflabs.org/macro/

Who knows, maybe someone wants to port all the MediaWiki maintenance templates. ;) More seriously, maybe there is indeed a productive use for this feature. Maybe. And maybe the use of memes can be open while the submissions of new memes could be restricted / moderated in order to avoid an excess of silliness.

Dzahn removed a subscriber: Dzahn.Oct 29 2014, 10:10 PM

I fixed the root issue (button appearing if you don't have access to the application) in the upstream (see https://secure.phabricator.com/D10900).

Qgil closed this task as Resolved.Nov 24 2014, 11:39 PM
Qgil claimed this task.

Thank you @epriestley! Resolving here now. We should sync with upstream in less than a month.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:06 PM